<template>
	<view class="fayunPlan">
		<view class="fayunPlanBody">
			<combined-title title="领取情况"></combined-title>
			<view class="compDetails">
				<uni-table border stripe emptyText="暂无更多数据">
					<uni-tr>
						<uni-th align="left" width="120">转发总量</uni-th>
						<uni-td align="left">{{ orderPlanDetail.fowardSum || 0 }}张</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">领取总量</uni-th>
						<uni-td align="left">{{ orderPlanDetail.fleetOrHuodaiNub || 0 }}张</uni-td>
					</uni-tr>
					<uni-tr v-for="(item, index) in orderPlanDetail.huodaiList" :key="index">
						<uni-th align="left">{{ item.huoDaiName }}</uni-th>
						<uni-td align="left">{{ item.fleetOrHuodaiNub }}张</uni-td>
					</uni-tr>
					<uni-tr v-for="(item, index) in orderPlanDetail.cheduiList" :key="index">
						<uni-th align="left">{{ item.cheduiName }}</uni-th>
						<uni-td align="left">{{ item.fleetOrHuodaiNub }}张</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">司机总领取</uni-th>
						<uni-td align="left">{{ orderPlanDetail.sijiSum || 0 }}张</uni-td>
					</uni-tr>
				</uni-table>
			</view>
			<combined-title title="提煤单详情"></combined-title>
			<view class="compDetails" v-for="(item, index) in orderPlanDetail.yyDailyList" :key="index">
				<uni-table border stripe emptyText="暂无更多数据">
					<uni-tr>
						<uni-th align="left">提煤单编号</uni-th>
						<uni-td align="left">{{ item.code || '' }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">提煤单状态</uni-th>
						<uni-td align="left">{{ coalStatus[item.status] }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">车牌号</uni-th>
						<uni-td align="left">{{ item.carNo || '' }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">入场时间</uni-th>
						<uni-td align="left">{{ item.inTime || '' }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">出场时间</uni-th>
						<uni-td align="left">{{ item.outTime || '' }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">皮重</uni-th>
						<uni-td align="left">{{ item.skin || 0 }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">毛重</uni-th>
						<uni-td align="left">{{ item.hair || 0 }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">净重</uni-th>
						<uni-td align="left">{{ item.clean || 0 }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">订单编号</uni-th>
						<uni-td align="left">{{ orderCode || '' }}</uni-td>
					</uni-tr>
					<uni-tr>
						<uni-th align="left">订单剩余量</uni-th>
						<uni-td align="left">{{ item.allowance || 0 }}</uni-td>
					</uni-tr>
				</uni-table>
			</view>
		</view>
	</view>
</template>

<script>
import combinedTitle from '@/components/combined-title/combined-title.vue';
export default {
	components: {
		combinedTitle
	},
	onLoad(value) {
		console.log('页面加载', value);
		if (value.orderPlanId && value.code) {
			this.orderPlanId = value.orderPlanId;
			this.orderCode = value.code;
		}
	},
	data() {
		return {
			orderPlanId: null,
			orderCode: null,
			orderPlanDetail: {},
			coalStatus: ['领取', '预约', '签到', '入场', '称皮', '称毛', '离场', '入磅房', '出磅房', '入煤场', '出煤仓']
		};
	},
	onShow() {
		this.init();
	},
	methods: {
		init() {
			this.GetOrderPlanDetail();
		},
		// 获取发运计划详情
		GetOrderPlanDetail() {
			uni.showLoading({
				title: '加载中...'
			});
			this.$reqGet('xiangqingList', { orderPlanId: this.orderPlanId }).then(res => {
				if (res.code == 0) {
					this.orderPlanDetail = res.data;
					uni.hideLoading();
				}
			});
		}
	}
};
</script>

<style lang="scss" scoped>
::v-deep.fayunPlan {
	width: 100%;
	margin: 0 auto;
	display: flex;
	flex-direction: column;
	.fayunPlanBody {
		width: 94%;
		margin: 0 auto;

		.compDetails {
			width: 94%;
			margin: vww(24) auto 0 auto;
			.comp {
				font-size: vww(16);
				font-weight: 400;
				padding: 0 vww(10);
				height: vww(40);
				line-height: vww(40);
				border: 1px solid #ebeef5;
				border-bottom: none;
				background-color: #f5f5f5;
			}
		}
		// 表格样式
		.uni-table {
			.uni-table-tr {
				padding: 0;
				border: vww(1) solid #c6c6c6;
				.uni-table-th {
					font-size: vww(14);
					height: vww(30);
					line-height: vww(30);
					padding: vww(5) vww(10);
					color: #111111;
					font-weight: 500;
					background: #e2e2e2;
				}
				.uni-table-td {
					font-size: vww(14);
					font-weight: 400;
					height: vww(30);
					line-height: vww(30);
					padding: vww(5) vww(10);
					color: #111111;
				}
			}
		}
	}
}
</style>
